Bug 114848 - FILESAVE: PPTX: Shape's colour lost after RT
Summary: FILESAVE: PPTX: Shape's colour lost after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Szymon Kłos
URL:
Whiteboard: target:6.1.0 target:6.0.0.2 target:5....
Keywords: bibisected, bisected, filter:pptx, regression
Depends on:
Blocks:
 
Reported: 2018-01-05 12:47 UTC by Xisco Faulí
Modified: 2018-02-15 10:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (115.09 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2018-01-05 12:47 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-01-05 12:47:31 UTC
Created attachment 138898 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Save it as .PPTX
3. Open the new file

Observed behaviour: Shapes' colour in slides 3,4,5 and 6 is black.

Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: 2bf1cc7372088ec31ac5f0fb60de57feda59d3b7
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2018-01-05 12:48:49 UTC
Regression introduced by:

author	Szymon Kłos <szymon.klos@collabora.com>	2017-10-17 22:14:38 +0200
committer	Szymon Kłos <szymon.klos@collabora.com>	2017-10-19 21:02:07 +0200
commit	98133504fde1e1b235c39e4bb3b72bb2ee0b7819 (patch)
tree	a40a89027bf64ac74fa9a3a76b0989e8bd679c7f
parent	278bdbca318defa3bb862e0422cff2492ef46705 (diff)
PPTX export: remember color schemes in theme
Remember color scheme from loaded pptx file
or use default values.

Bisected with: bibisect-linux64-6.0

Adding Cc: to Szymon Kłos
Comment 2 Xisco Faulí 2018-01-05 12:50:29 UTC
attachment 42675 [details] from bug 33672 is also affected by the same problem
Comment 3 Commit Notification 2018-01-06 06:59:31 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a91b67b1fe98f114e95649fb7484e22cc3a313b

tdf#114848 Don't save empty themes

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2018-01-08 10:15:28 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 0ef0740298b45379bbf8d00d50beffee7a2f812a
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 5 Commit Notification 2018-01-09 19:51:59 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ebfe25077040210771b6cfe6ec60e49a8e14de2a&h=libreoffice-6-0

tdf#114848 Don't save empty themes

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-01-09 19:52:07 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f890d79bb2bc82cd05b80eeb83b22971ed618817&h=libreoffice-5-4

tdf#114848 Don't save empty themes

It will be available in 5.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-01-10 16:14:15 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b48e006b8f52eaf44e1b1c1ef3dbb898c69a5fc&h=libreoffice-5-3

tdf#114848 Don't save empty themes

It will be available in 5.3.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-01-15 22:01:43 UTC
@Szymon Kłos, should this be closed as RESOLVED FIXED ?
Comment 9 Xisco Faulí 2018-02-15 10:17:33 UTC
Closing as RESOLVED VERIFIED